NI製品ディスカッション

キャンセル
次の結果を表示 
次の代わりに検索 
もしかして: 

インストーラのディストリビューションエラー

解決済み
解決策を見る

LabView8.5.1でビルドしたインストーラをVer8.6が出たのでそのバージョンでリビルドしたところ、ビルドは正常終了するのですが、

インストーラを実行すると下記のエラーメッセージが出て正常終了できなくなりました。同様の現象を体験された方がいましたら、

解決策を教えてください。

以上

 

//以下エラーメッセージです。

 

.\Distribution.cpp(1832): IInstallerError 11004
開発者エラー。ディストリビューションに無効な依存があります:
1. Product HABF-501A Remote Controller ({B0B80905-0CF7-4B2D-846C-D80B68CD8232}) depends on
    product with upgrade code {8627993A-3F66-483C-A562-0D3BA3F267B1},
    version [4.64.768,), language in {}
    which is not in the distibution.


ディストリビューションを修正してから再試行してください。
<No Debug Message>

0 件の賞賛
メッセージ1/3
4,084件の閲覧回数
解決策
トピック作成者nasubonが受理

まったく同じではありませんが、ディストリビューションエラーが発生したことがありました。

問題はVI作成時のバージョンがバラバラであったのと、Runtimeエンジンのバージョンがおかしくなっていたと記憶しています。

 

 提案ですが、LabVIEW8.5で作成したVIを別の場所か別名で保存して、LV8.6にて全部保存もしくは一括コンパイルをしてみたり、

Runtimeエンジンの確認・再インストールを行ってみてはいかがでしょう。

0 件の賞賛
メッセージ2/3
3,987件の閲覧回数

FATIMA様

 Ver.8.6で保存・一括コンパイルだけではだめで、結局Ver. 8.6から再インストールしたら解決いたしました。 

 ありがとうございます。助かりました。 

0 件の賞賛
メッセージ3/3
3,977件の閲覧回数